<template>
  <div style="margin: 3rem">
    <header style="margin:10rem 6rem 3rem 6rem">
      <ReturnButton :offsetArrow="21" :spanTitle="2" title="Regresar" v-on:clickEvent="returnPage" style="margin-bottom:2.5rem"></ReturnButton>
       <el-row style="margin-top: 3rem" >
         <el-col :offset="22" :span="2" > 
           <el-button size="medium"  @click="editPage(idSupportMat, 'edit')"  type="primary"> EDITAR </el-button>
          </el-col>
       </el-row>
    </header>

    <!-- COMPONENTE TITULO -->
    <div style="margin:3rem 6rem">
      <app-title :Title="itemSupportMat.originalTitle"  bgColor="background-color: #818181 !important"> </app-title>
    </div>

		<el-main style="margin: 0 8rem;">
			<h3 class="text-orange" style="margin: 0 0 2rem" v-if="obs !== ''">OBSERVACIONES</h3>
			<el-row v-if="obs !== ''">
				<el-col :span="12" class="textObs">
					{{obs}}
				</el-col>
			</el-row>
			<el-table :data="dataSupport" border :class="{'mtop-table-50': obs !== ''}"
					:header-cell-class-name="tableRowClassName">
				<el-table-column label="PROVEEDOR" prop="providerName" width="220">
				</el-table-column>
				<el-table-column
					label="FECHA DE LLEGADA" width="200">
					<template slot-scope="scope">
						<div style="margin-left: 10px">
							<p>{{ new Date(scope.row.arrivalDate).toLocaleDateString('en-GB') }}</p>
						</div>
					</template>
				</el-table-column>
				<el-table-column 	prop="shippingMode" label="MODO DE ENVÍO" width="160">
				</el-table-column>
				<el-table-column prop="supportOption" label="SOPORTE" width="140">
				</el-table-column>
				<el-table-column label="BLOQUES" prop="blocks" width="100">
				</el-table-column>
				<el-table-column label="DURACIÓN TOTAL" width="180">
					<template slot-scope="scope">
						<div style="margin-left: 10px">
							<p>{{scope.row.duration}}</p>
						</div>
					</template>
				</el-table-column>
				<el-table-column prop="copyBackUp" label="BACK UP" width="100">
				</el-table-column>
			</el-table>
		</el-main>
  </div>
</template>
<script>
import ReturnButton from '@/components/ReturnButton.vue'
import Title from '@/components/Title.vue'  
import { HTTP } from '../../../main.js'
  
export default {
	components: {
		ReturnButton,
		'app-title': Title,
	},
	data() {
		return {
			idSupportMat: JSON.parse(this.$localStorage.get('idSupportMat')), 
			itemSupportMat: [],
			dataSupport: [],
			obs: '',
			fusionGourmetSoporte: false
		}
	},
	created() {
		this.getSupportMaterials();
		this.fusionGourmetSoporte = this.$route.params.fusionGourmetSoporte
	},
	methods: {
		getSupportMaterials () {
			HTTP.get('materials/' + this.idSupportMat)
					.then(res => {							
					this.itemSupportMat = res.data.material
					this.obs = this.itemSupportMat.supportObj.observations
					this.dataSupport.push({
						providerName: this.itemSupportMat.providerName,
						arrivalDate: this.itemSupportMat.supportObj.arrivalDate,
						shippingMode: this.itemSupportMat.supportObj.shippingMode,
						supportOption: this.itemSupportMat.supportObj.supportOption,
						blocks: (this.itemSupportMat.reviewObj !== undefined) ? this.itemSupportMat.reviewObj.blocks : '',
						duration: (this.itemSupportMat.reviewObj !== undefined) ? this.itemSupportMat.reviewObj.duration : '',
						copyBackUp: this.itemSupportMat.supportObj.copyBackUp,
					})
			})
			.catch(err => {
			console.log(err)
			})
		},
		returnPage () {
			if ( this.fusionGourmetSoporte === true ) {
				this.$router.push({ name: 'fusionGourmetSoporte' })
			}
			else {
				this.$router.push({ name: 'nationalProduction' })
			}
		},
		editPage (id, text) {
			this.$localStorage.set('edit', JSON.stringify(text))
			this.$localStorage.set('idSupportMat', JSON.stringify(id))
			if ( this.fusionGourmetSoporte === true ) {
				this.$router.push({ name: 'receptionNational', params: { fusionGourmetSoporte: true } })
			}
			else {
				this.$router.push({ name: 'receptionNational' })
			}
		},
		tableRowClassName ({row, rowIndex}) {
			if (rowIndex === 0) {
				return 'bg-light-red'
			}
		}
	}
}
</script>

<style>
.textObs{
background: rgb(224, 224, 224);
padding: 10px 20px;
}
.mtop-table-50{
margin-top: 50px;
}
</style>